package com.ssj.service.conch.schoolmaster.dto;

import java.io.Serializable;

public class VipStudyDto implements Serializable {
    private static final long serialVersionUID = 1L;

    private String studentId;
    private String studentName;
    private int bizType;
    private int isHasListenTest;
    private PlanDto plan;
    private SupervisionDto supervision;
    private RefundDto refund;
    
    private String teacherType; //老师类型(1:学霸老师,2:注册老师,3:明星老师)
    private int applyType;//申请类型:1:调课; 2:换老师
    private int applyStatus; //1:申请中; 2:已同意；3：已拒绝；
    private String applyReason;//申请理由
    private String reason; //拒绝理由
    
	public String getStudentId() {
		return studentId;
	}
	public void setStudentId(String studentId) {
		this.studentId = studentId;
	}
	public String getStudentName() {
		return studentName;
	}
	public void setStudentName(String studentName) {
		this.studentName = studentName;
	}
	public int getBizType() {
		return bizType;
	}
	public void setBizType(int bizType) {
		this.bizType = bizType;
	}
	public int getIsHasListenTest() {
		return isHasListenTest;
	}
	public void setIsHasListenTest(int isHasListenTest) {
		this.isHasListenTest = isHasListenTest;
	}
	public PlanDto getPlan() {
		return plan;
	}
	public void setPlan(PlanDto plan) {
		this.plan = plan;
	}
	public SupervisionDto getSupervision() {
		return supervision;
	}
	public void setSupervision(SupervisionDto supervision) {
		this.supervision = supervision;
	}
	public RefundDto getRefund() {
		return refund;
	}
	public void setRefund(RefundDto refund) {
		this.refund = refund;
	}
	public String getTeacherType() {
		return teacherType;
	}
	public void setTeacherType(String teacherType) {
		this.teacherType = teacherType;
	}
	public int getApplyStatus() {
		return applyStatus;
	}
	public void setApplyStatus(int applyStatus) {
		this.applyStatus = applyStatus;
	}
	public String getApplyReason() {
		return applyReason;
	}
	public void setApplyReason(String applyReason) {
		this.applyReason = applyReason;
	}
	public String getReason() {
		return reason;
	}
	public void setReason(String reason) {
		this.reason = reason;
	}
	public int getApplyType() {
		return applyType;
	}
	public void setApplyType(int applyType) {
		this.applyType = applyType;
	}

}
